Page 1 of 2 12 LastLast
Results 1 to 10 of 18

Thread: ATI Drivers

Hybrid View

  1. #1
    Member
    Join Date
    Jan 2010
    Location
    Netherlands
    Posts
    84

    Default ATI Drivers

    Hi all,

    Just installed backtrack 5 64 bit KDE(clean install) and first thing, updating ATI drivers. I went to the ATI driver download site, downloaded the 64 bit linux drivers, installed (dpkg -i ati....) installing drivers, restarting. Bam no OPENGL support, whole PC was laggin etc. had to disable all the effects and now it is some what running, still think this is a bug. Any idea's for a fix? first (befor installing the drivers) it was working great. So think of reinstalling it again...

    cheers

  2. #2
    Junior Member Godfrey's Avatar
    Join Date
    Jun 2010
    Location
    Asia
    Posts
    30

    Default

    Quote Originally Posted by nivong View Post
    Hi all,

    Just installed backtrack 5 64 bit KDE(clean install) and first thing, updating ATI drivers. I went to the ATI driver download site, downloaded the 64 bit linux drivers, installed (dpkg -i ati....) installing drivers, restarting. Bam no OPENGL support, whole PC was laggin etc. had to disable all the effects and now it is some what running, still think this is a bug. Any idea's for a fix? first (befor installing the drivers) it was working great. So think of reinstalling it again...

    cheers
    You miss the fglrx module...

    It's not a good idea to run ./*.run.You need to use the .run file to generate some .deb files with one of them for the fglrx module.

    You may run this in your tty: ./*run --listpkg ---------------you can see all the distributions it can generate pkg
    And use this : ./*run --buildpkg DISTRIBUTION ---------------DISTRIBUTION here is the distribution name of your system,you will see it using the above command

    You may want to see the help : ./*run --help

    You should install some pkgs in order to build .deb files,such as cdbs,dkms....You find that the missing pkgs can be installed automatically if you try to ./*run --buildpkg DISTRIBUTION

    Make sure that the .deb for fglrx module has been generated.And install all the .deb files you need.Then all desktop effects can be applied.

    You may read this in order to generate the fglrx module: http://www.backtrack-linux.org/forum...ivers-etc.html
    Last edited by bolexxx; 06-17-2011 at 02:32 PM.

  3. #3
    Just burned his ISO
    Join Date
    Jun 2011
    Posts
    7

    Default Re: ATI Drivers

    Hi, i've been running into similar problems. I was getting the error below when trying to install the fglrx drivers from original install.
    There are some errors in prepare-kernel-sources script. And I followed the steps outlined in the forum link below copying in the header files, but that didn't solve the problem
    http://www.backtrack-linux.org/forum...ivers-etc.html
    cp -rf include/generated/* include/linux/

    Then i installed the source and installed kernel using script at end of this page.
    http://www.edwiget.name/2011/05/backtrack-5/
    But I still get the same errors which is a bit puzzling since it built from those sources, and then subsequently installed. Any idea what i'm doing wrong?

    Error message when installing generated deb files for fglrx
    ----------------------------------------------------------------------------
    Loading new fglrx-8.861 DKMS files...
    Building only for 2.6.38
    Building for architecture x86_64
    Module build for the currently running kernel was skipped since the
    kernel source for this kernel does not seem to be installed.
    update-initramfs: deferring update (trigger activated)
    ----------------------------------------------------------------------------

    The 'detected' version of Linux from the ati installer package is Ubuntu/lucid. I've tried with maverick/natty which makes no difference.

    any help is appreciated.

    Thanks.

  4. #4
    Junior Member Godfrey's Avatar
    Join Date
    Jun 2010
    Location
    Asia
    Posts
    30

    Default Re: ATI Drivers

    Install this package: linux-source-2.6.38
    Then retry http://www.backtrack-linux.org/forum...ivers-etc.html or not.
    It will be success to generate the fglrx module.
    -----------------------------------------------------------------------------------------
    Generating package: Ubuntu/lucid
    Resolving build dependencies...
    Unable to resolve can't parse dependency ooobasis33-zh_cn-res
    can't parse dependency ooobasis33-zh_cn-binfilter
    can't parse dependency ooobasis33-zh_cn-calc
    can't parse dependency ooobasis33-zh_cn-draw
    can't parse dependency ooobasis33-zh_cn
    can't parse dependency ooobasis33-zh_cn-impress
    can't parse dependency ooobasis33-zh_cn-help
    can't parse dependency ooobasis33-zh_cn-math
    can't parse dependency ooobasis33-zh_cn-writer
    can't parse dependency ooobasis33-zh_cn-base. Please manually install and try again.
    Package /root/fglrx_8.861-0ubuntu1_amd64.deb has been successfully generated
    Package /root/fglrx-dev_8.861-0ubuntu1_amd64.deb has been successfully generated

    Package /root/fglrx-amdcccle_8.861-0ubuntu1_amd64.deb has been successfully generated
    Package /root/fglrx-modaliases_8.861-0ubuntu1_amd64.deb has been successfully generated
    Removing temporary directory: fglrx-install.JXUk3C
    --------------------------------------------------------------------------------------------

  5. #5
    Just burned his ISO
    Join Date
    Jun 2011
    Posts
    7

    Default Re: ATI Drivers

    Hi Godfrey, I've already tried this - this is what my system looks like if you can spot anythign obvious?

    thanks

    root@bt:~/Downloads/fglrx# uname -a
    Linux bt 2.6.38 #1 SMP Sat Jun 18 14:56:25 CEST 2011 x86_64 GNU/Linux
    root@bt:~/Downloads/fglrx# cd /boot/
    root@bt:/boot# ls -al
    total 78304
    drwxr-xr-x 4 root root 4096 2011-06-18 17:47 .
    drwxr-xr-x 29 root root 4096 2011-06-18 18:29 ..
    -rw-r--r-- 1 root root 128634 2011-06-18 15:05 config-2.6.38
    drwxr-xr-x 3 root root 4096 2011-06-19 13:33 grub
    -rw-r--r-- 1 root root 28439533 2011-05-02 23:32 initrdf.img-2.6.38
    -rw-r--r-- 1 root root 16961244 2011-06-18 17:47 initrd.img-2.6.38
    -rw-r--r-- 1 root root 27983419 2011-05-05 18:05 initrds.img-2.6.38
    -rw-r--r-- 1 root root 160280 2010-03-23 10:40 memtest86+.bin
    -rw-r--r-- 1 root root 2070888 2011-06-18 15:05 System.map-2.6.38
    drwxr-xr-x 10 root root 4096 2011-05-05 18:05 tmp
    -rw-r--r-- 1 root root 4408560 2011-06-18 15:05 vmlinuz-2.6.38
    root@bt:/boot# cd /usr/src/
    root@bt:/usr/src# ls -al
    total 119564
    drwxrwsr-x 7 root src 4096 2011-06-18 18:16 .
    drwxr-xr-x 12 root root 4096 2011-05-10 18:02 ..
    drwxr-xr-x 3 root root 4096 2011-06-16 20:27 fglrx-8.850
    drwxr-xr-x 4 root root 4096 2011-06-18 17:46 fglrx-8.861
    lrwxrwxrwx 1 root src 19 2011-06-18 18:16 linux -> linux-source-2.6.38
    -rw-r--r-- 1 root src 1194802 2011-06-18 15:06 linux-firmware-image_2.6.38-1_amd64.deb
    drwxr-xr-x 23 root root 4096 2011-06-04 22:42 linux-headers-2.6.38
    -rw-r--r-- 1 root src 6800518 2011-06-18 15:06 linux-headers-2.6.38_2.6.38-1_amd64.deb
    -rw-r--r-- 1 root src 37135058 2011-06-18 15:07 linux-image-2.6.38_2.6.38-1_amd64.deb
    -rw-r--r-- 1 root src 811334 2011-06-18 15:06 linux-libc-dev_2.6.38-1_amd64.deb
    lrwxrwxrwx 1 root src 19 2011-06-16 21:32 linux-OLDVERSION.1308252793 -> linux-source-2.6.38
    drwxr-xr-x 25 root root 4096 2011-06-18 18:17 linux-source-2.6.38
    -rw-r--r-- 1 root root 76446311 2011-03-18 02:40 linux-source-2.6.38.tar.bz2
    drwxr-xr-x 12 root root 4096 2011-05-29 15:42 virtualbox-ose-3.1.6


    Quote Originally Posted by Godfrey View Post
    Install this package: linux-source-2.6.38
    Then retry http://www.backtrack-linux.org/forum...ivers-etc.html or not.
    It will be success to generate the fglrx module.
    -----------------------------------------------------------------------------------------
    Generating package: Ubuntu/lucid
    Resolving build dependencies...
    Unable to resolve can't parse dependency ooobasis33-zh_cn-res
    can't parse dependency ooobasis33-zh_cn-binfilter
    can't parse dependency ooobasis33-zh_cn-calc
    can't parse dependency ooobasis33-zh_cn-draw
    can't parse dependency ooobasis33-zh_cn
    can't parse dependency ooobasis33-zh_cn-impress
    can't parse dependency ooobasis33-zh_cn-help
    can't parse dependency ooobasis33-zh_cn-math
    can't parse dependency ooobasis33-zh_cn-writer
    can't parse dependency ooobasis33-zh_cn-base. Please manually install and try again.
    Package /root/fglrx_8.861-0ubuntu1_amd64.deb has been successfully generated
    Package /root/fglrx-dev_8.861-0ubuntu1_amd64.deb has been successfully generated

    Package /root/fglrx-amdcccle_8.861-0ubuntu1_amd64.deb has been successfully generated
    Package /root/fglrx-modaliases_8.861-0ubuntu1_amd64.deb has been successfully generated
    Removing temporary directory: fglrx-install.JXUk3C
    --------------------------------------------------------------------------------------------

  6. #6
    Junior Member Godfrey's Avatar
    Join Date
    Jun 2010
    Location
    Asia
    Posts
    30

    Default 回复: Re: ATI Drivers

    Quote Originally Posted by dpa078 View Post
    There are some errors in prepare-kernel-sources script.
    Can you give out the error messages?

  7. #7
    Just burned his ISO
    Join Date
    Jun 2011
    Posts
    7

    Default Re: 回复: Re: ATI Drivers

    root@bt:/usr/src# prepare-kernel-sources [*] apt-getting linux-source...
    Reading package lists... Done
    Building dependency tree
    Reading state information... Done
    linux-source is already the newest version.
    The following packages were automatically installed and are no longer required:
    lp-solve libcolamd2.7.1 gnumeric-common gnome-desktop-data gnumeric-doc
    Use 'apt-get autoremove' to remove them.
    0 upgraded, 0 newly installed, 0 to remove and 1 not upgraded.[*] extracting sources, please wait[*] doing stuff...
    cp: missing destination file operand after `/boot/'
    Try `cp --help' for more information.
    scripts/kconfig/conf --silentoldconfig Kconfig
    CHK include/linux/version.h
    CHK include/generated/utsrelease.h
    CALL scripts/checksyscalls.sh
    ln: creating symbolic link `/lib/modules/2.6.38/build/linux': File exists[*] tada!


    /usr/bin/prepare-kernel-sources
    #!/bin/bash
    VER=`uname -r`
    echo "[*] apt-getting linux-source..."
    apt-get install linux-source
    cd /usr/src/
    echo "[*] extracting sources, please wait"
    tar jxpf linux-source-$VER.tar.bz2
    echo "[*] doing stuff..."
    rm -rf linux
    ln -s linux-source-$VER linux
    cd linux
    zcat /proc/config.gz > .config
    cp /boot/ <-- Offending Line
    #cp /usr/src/linux/ /boot/config-${VER} <-- Think i got this from link above - E.D.Wiget? Didn't seem to work either
    make scripts
    make prepare
    ln -s /usr/src/linux /lib/modules/$VER/build
    echo "[*] tada!"



    Quote Originally Posted by Godfrey View Post
    Can you give out the error messages?

  8. #8
    Member
    Join Date
    Jan 2010
    Location
    Netherlands
    Posts
    84

    Default Re: ATI Drivers

    Uhm what a work to add drivers.... on backtrack 4 it was just install and reboot...

    But is it necessary to install the drivers?

  9. #9
    Junior Member Godfrey's Avatar
    Join Date
    Jun 2010
    Location
    Asia
    Posts
    30

    Default 回复: Re: ATI Drivers

    Quote Originally Posted by nivong View Post
    Uhm what a work to add drivers.... on backtrack 4 it was just install and reboot...

    But is it necessary to install the drivers?
    It seems that there are some bugs with the open source driver for ATI.The system will freeze randomly...
    More details can be found here: http://www.backtrack-linux.org/forum...-randomly.html

    It should not hard for most people to install the official driver...

  10. #10
    Junior Member Godfrey's Avatar
    Join Date
    Jun 2010
    Location
    Asia
    Posts
    30

    Default 回复: Re: ATI Drivers

    Quote Originally Posted by dpa078 View Post
    root@bt:~/Downloads/fglrx# uname -a
    Linux bt 2.6.38 #1 SMP Sat Jun 18 14:56:25 CEST 2011 x86_64 GNU/Linux
    It seems that you compile the kernel yourself?

    How about uninstalling package linux-source-2.6.38 purely,clearing the directory /usr/src/ and retrying another time?
    Last edited by Godfrey; 06-21-2011 at 10:49 AM.

Page 1 of 2 12 LastLast

Similar Threads

  1. Bt4 Drivers for Bt3
    By BT4Fan in forum Beginners Forum
    Replies: 1
    Last Post: 09-26-2010, 11:37 AM
  2. ATI drivers (ati.lzm) for BT3
    By cbservices in forum OLD BackTrack 3 Final
    Replies: 10
    Last Post: 04-13-2009, 11:37 AM
  3. need drivers
    By emg2006 in forum OLD LiveCD Support
    Replies: 1
    Last Post: 04-12-2008, 05:48 PM
  4. ATI drivers on BT3
    By phil128 in forum OLD General IT Discussion
    Replies: 3
    Last Post: 03-21-2008, 07:55 AM
  5. drivers
    By manolisfcf in forum OLD Newbie Area
    Replies: 0
    Last Post: 12-23-2007, 05:08 PM

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •